package com.example.projekt3;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = "MainActivity";
    private static final DateTimeFormatter FORMAT_DATY = DateTimeFormatter.ofPattern("d.M.yyyy HH:mm:ss");

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
    }

    // metoda, którą wskauzjemy w onClick, musi być publiczna i przyjmować parametr typu View
    public void klik1(View view) {
        Toast.makeText(this, "Hej, tu guzik 1", Toast.LENGTH_LONG).show();
        Log.d(TAG, "klik1: tak, tak, działa");
    }

    public void pokazCzas(View view) {
        String dt = LocalDateTime.now().format(FORMAT_DATY);
        TextView textView = findViewById(R.id.textViewMain);
        textView.setText(dt);
    }
}